Jul 15 2008

WordPress 2.6 upgrade: niet voor hartlijders

Toen ik vanmorgen inlogde op mijn blog voor gebruikelijke admin toeters, bellen, statistiekjes, spam en commentaar, werd ik afgeleid door de mededeling dat er een nieuwe versie van WordPress uit was gekomen. Tijd voor een upgrade.

Een kwartiertje nadien was de zaak beklonken, zo leek het. De WordPress Automatic Upgrade maakt dat hele proces – 14 stappen als je het juist wil doen – allemaal redelijk simpel. Klik Upgrade. Watch. Done.
Behalve dat het deze keer niet “done” was.
Want ik kon niet meer inloggen. “Please log in again” zei het inlogschermje, ook na het ingeven van een 100% juiste combinatie username/paswoord.
En de blog was ook niet meer zichtbaar voor de buitenwereld.

Slik.

Enige google-searches gaven een aantal mogelijke oplossingen. Allemaal in phpAdmin en ftp te doen.
Paswoord resetten via mail. Manueel een nieuw admin-paswoord instellen in wp-users. Eens drastisch snoeien in de Wp-options. Plugins manueel afzetten. De vorige versie van de WordPress-installatie terugzetten. Cache ledigen. De database vanaf een backup terug herstellen. Onbekend IT-terrrein voor mij. Flirten met een ramp.

Slik. Slik.

Want niks van de aangeboden oplossingen werkte.
“Please log in again”, zei het inlogscherm.
En bleef het zeggen.

Slik. Slik. Bye bye blog slik.

Twee uur later was ik al aan het zoeken hoe ik een volledige herinstallatie van wordpress moest doen. In de vage hoop dat ik dan nadien de blogartikels, jullie comments, uitzicht, plugins, permalinks en al de rest wel uit de backups zou kunnen recupereren.
Toen ik eigenlijk per ongeluk ook eens probeerde voorbij dat login-schermpje te geraken in Internet Explorer. En ik erin zat. De plugins terug manueel activeren en de blog werkte meteen terug voor de buitenwereld.

Weirdness! De admin van WordPress 2.6 werkt dus niet meer met Firefox. Bij mij. Want er is voor de rest precies nergens iets van terug te vinden op het web. Nougatbollen.

Alles well wat well eindigt. Jullie geprefereerde blogleesvoer werkt dus terug. En kan ik admin-interfacen met Internet Explorer. Swell.
En toch: goed dat ik geen hartlijder ben. Of ik had de WordPress-open source community eens een liability suit aangedaan. Een mens zo de schrik om het hart aanjagen…

Van shortekens, in het engels:

If you can’t log into your blog after upgrading it to WordPress 2.6, when you keep getting a “please log in again” screen, try using a different browser instead of flirting with disaster in phpAdmin and FTP. It just might work in IE instead of Firefox, as it did for me…

  • http://www.annetanne.be/kruidenklets AnneTanne

    Een uurtje geleden wilde ik ook effe upgraden, ook via de automatic upgrade plugin.
    En inderdaad geraakte ik ook niet voorbij dat schermpje… Er bleek ook een probleempje in de index.php van mijn theme (maar dat was er ook na een eerdere upgrade), maar dat kreeg ik niet één-twee-drie gefixed, hoewel het normaal iets heel simpel moet zijn.

    Omdat we aan tafel gingen, heb ik maar snel (werk van tien seconden) mijn back-up teruggezet, zodat 2.5.1 bij mij nu weer draait.
    (Oh ja, alleen in FF 3.0 geprobeerd, niet bedacht om Opera of IE eens te gebruiken.)

  • http://eigenwijzetuin.be bart

    ik heb geen problemen gehad om uw schrijfsel te bereiken. voor zo ver ik weet is houbi.com niet uit van het interwebs geweest?

  • http://www.annetanne.be/kruidenklets AnneTanne

    10 minuten later: voor het eten was ik niet meer naar mijn admin-interface gegaan, maar op na jouw bericht te hebben gereageerd wilde ik dat wel doen… wilde, maar ondanks het feit dat mijn upgrade ongedaan was gemaakt, lukte het niet meer. Zelfde probleem als wat jij beschreef.

    Dus naar IE… dat lukte wel. Dan naar Flock… dat lukte ook, hoewel die een vergelijkbare engine gebruikt als FF 3.0
    Verlicht moment: zou het een cookie-probleem kunnen zijn? Terug naar FF, prive-gegevens opruimen, ook de cookies dus… En jawel hoor, ik kan weer probleemloos inloggen.

  • http://houbi.com Dirk Houbrechts

    Hoezee voor AnneTanne. De cookies opschonen en je geraakt in Firefox inderdaad ook zonder problemen binnen!

  • Pingback: Netsensei » Wordpress 2.6 II

  • http://bas.vecht.nu Bas Vecht

    Hier hetzelfde gezeur: niet meer mogelijk om in te loggen na upgrade naar WordPress 2.6, ook na verwijderen cache in FF3. Toch maar versie 2.5.1 teruggezet.

  • Pingback: Bas blogt...


En nu?

En, voor u het vergeet, steek zeker mijn mijn RSS in uw favoriete feedreader. Je kan je ook abonneren op updates via e-mail, facebook, twitter...